IF EXISTS (SELECT 1 FROM SYS.VIEWS WHERE NAME='LD0VLU34_SEARCH_PLANAKTIVITET')
BEGIN
DROP VIEW LD0VLU34_SEARCH_PLANAKTIVITET
END
;
CREATE VIEW LD0VLU34_SEARCH_PLANAKTIVITET
AS
select V1U34.PLANAKTIVITETNR,V1U34.PERSONNR, isnull(u35.fromdat, v1u34.verkstart) FROMDATUM,
	isnull(isnull(u35.tomdat, v1u34.verkslut), u35.tomdat) TOMDATUM,
    v1u34.hand  as HAND, Q01_ABMINSTYP.KOD as AMINSKOD, Q01_ABMINSTYP.klartext as AMINSATS_TEXT, Q01_AKTIVTYP.KLARTEXT AS AKTIVTYP_TEXT, Q01_AKTIV.KLARTEXT AS AKTIV_TEXT
  from ld0v1u34 v1u34 
  
 LEFT OUTER JOIN ld0v0q01 Q01_AKTIV on v1u34.AKTIVITET = Q01_AKTIV.KOD
                         and Q01_AKTIV.KODTYP = 'LNAKTIV'
 JOIN ld0v0q01 Q01_ABMINSTYP on Q01_AKTIV.xnum7 = Q01_ABMINSTYP.KOD
                         and Q01_ABMINSTYP.KODTYP = 'ABMINSTYP' 
 LEFT OUTER JOIN ld0v0q01 Q01_AKTIVTYP on v1u34.AKTIVTYP = Q01_AKTIVTYP.KOD
                         and Q01_AKTIVTYP.KODTYP = 'LNAKTIVTYP'
 LEFT OUTER JOIN ld0v0u35 u35 on u35.PLANAKTIVITETNR = v1u34.planaktivitetnr and U35.STATUS = 2
where v1u34.VERSIONNR = (SELECT MAX(U30.VERSIONNR) FROM LD0VLU30 U30 WHERE U30.INSKRIVNINGSNR = v1u34.INSKRIVNINGSNR AND U30.PLANNR = v1u34.PLANNR) AND
v1u34.planaktivitetnr NOT in (select ld0v0a45.PLANAKTIVITETNR from ld0v0a45 where ld0v0a45.PLANAKTIVITETNR > 0)
;